mia-3dfuzzysegment
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dfuzzysegment

#### Sysnopis:

`mia-3dfuzzysegment` {-i `io`} [ `options` ...]

#### Description:

This program runs a combined fuzzy c-means clustering and B-field correction to facilitate a 3D segmentation of 3D image

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be segmented. For supported file types see Plugin type: 3dimage/io

-c, --cls-file=(output); io

  output class probability images. Note, the used file format must support multiple images (best is to use vista). For supported file types see Plugin type: 3dimage/io

-o, --b0-file=(output); io

  image corrected for intensity non-uniformity. For supported file types see Plugin type: 3dimage/io

-n, --no-of-classes=3; int

  number of classes

-r, --residuum=0.1; float

  relative residuum

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run a 5-class segmentation over inpt image input.v and store the class probability images in cls.v and the B0-field corrected image in b0.v.

    mia-3dfuzzysegment -i input.v -c 5 -o b0.v -c cls.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3ddistance-stats | Home | mia-3dgetsize